import { ReactNode } from 'react';
import { ModalContent } from '@shared/ui';

type PreviewProps = {
  className?: string;
  children: ReactNode;
};

function Preview({ children, className }: PreviewProps) {
  return (
    <ModalContent closeByClickOutside className={className}>
      {children}
    </ModalContent>
  );
}

export { Preview };
